| Bsoft 2.0.5 Bernard's software package

Classes | Enumerations | Functions
json.h File Reference
`#include <ostream>`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <vector>`
`#include <map>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | JSvalue
class | JSparser

## Enumerations
enum | JStype { JSstring, JSbool, JSinteger, JSreal, JSobject, JSarray, JSnull }

## Functions
ostream & | operator<< (ostream &output, JStype t)
ostream & | operator<< (ostream &output, JSvalue &jsv)

## Detailed Description

Author
  Bernard Heymann

Date
  20160409 - 20180328

Definition in file json.h.

## Enumeration Type Documentation

## ◆ JStype

enum JStype

Enumerator
JSstring |
JSbool |
JSinteger |
JSreal |
JSobject |
JSarray |
JSnull |

Definition at line 21 of file json.h.

## Function Documentation

## ◆ operator<<() [1/2]

ostream& operator<< | ( | ostream & | output,
|  | JStype | t
| ) |  |

Definition at line 10 of file json.cpp.

## ◆ operator<<() [2/2]

ostream& operator<< | ( | ostream & | output,
|  | JSvalue & | jsv
| ) |  |

Definition at line 30 of file json.cpp.